Query Profiles

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

Required if using service account to authenticate request.

integer

The id of the workspace if applicable.

Form Data
string

A unique identifier used to distinguish an individual profile.

string

A JSON array of distinct_ids to retrieve profiles for. Example: distinct_ids=["id1", "id2"]

string

The ID of the group key, used when querying group profiles, click here for more info.

string

An expression to filter users (or groups) by. See the expressions section above.

output_properties
array of strings

A JSON array of names of properties you want returned. Example: output_properties=["$last_name", "$email", "Total Spent"]

This parameter can drastically reduce the amount of data returned by the API when you're not interested in all properties and can speed up queries significantly.

output_properties
string

A string id provided in the results of a previous query. Using a session_id speeds up api response, and allows paging through results.

integer

Which page of the results to retrieve. Pages start at zero. If the "page" parameter is provided and above 0, the session_id parameter must also be provided.

integer

If you are exporting user profiles using an event selector, you use a behaviors parameter in your request. behaviors and filter_by_cohort are mutually exclusive.

integer

This parameter is only useful when also using behaviors. If you try to export more than 1k profiles using a behaviors parameter and you don't included the parameter as_of_timestamp, you'll see the following error:

request for page in uncached query for params

string

Takes a JSON object with a single key called id whose value is the cohort ID. behaviors and filter_by_cohort are mutually exclusive.

Example: filter_by_cohort='{"id":12345}'

boolean

*only applicable with filter_by_cohort parameter

include_all_users=true (default) include all distinct_ids even if they don’t have a user (or group) profile.

include_all_users=false include only distinct_ids with user (or group) profile.

Response

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json